summaryrefslogtreecommitdiff
path: root/bg1/install-patch-totsc-us.sh
diff options
context:
space:
mode:
authorNick White <git@njw.me.uk>2009-05-17 15:06:22 +0100
committerNick White <git@njw.me.uk>2009-05-17 15:06:22 +0100
commitb9ce5ef93fc814900f7adb6263a263e966d0499d (patch)
treee2da0d98959bf96382fe07a146dfd515be0f801e /bg1/install-patch-totsc-us.sh
parent32a0107f411a09c132090623b66e1af7b01b4bc1 (diff)
downloadgemrb-gameinstallers-b9ce5ef93fc814900f7adb6263a263e966d0499d.tar.bz2
gemrb-gameinstallers-b9ce5ef93fc814900f7adb6263a263e966d0499d.zip
Rearrange to remove arbitrary bg1/totsc division
Diffstat (limited to 'bg1/install-patch-totsc-us.sh')
-rwxr-xr-xbg1/install-patch-totsc-us.sh37
1 files changed, 37 insertions, 0 deletions
diff --git a/bg1/install-patch-totsc-us.sh b/bg1/install-patch-totsc-us.sh
new file mode 100755
index 0000000..5939ac4
--- /dev/null
+++ b/bg1/install-patch-totsc-us.sh
@@ -0,0 +1,37 @@
+#!/bin/bash
+# Copyright 2009 Nick White
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; either version 2
+# of the License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# See <http://www.gnu.org/licenses/> for a copy of the GNU General
+# Public License.
+#
+# BG1 TOTSC official US/Canada patch
+
+scriptdir="$(dirname $0)"/..
+source "$scriptdir/includes/generic-includes.sh"
+source "$scriptdir/includes/patch-includes.sh"
+
+parseargs "$@"
+
+checkforbin cabextract unshield wget
+
+setuptmp
+
+getpatch http://downloads.bioware.com/baldursgate1/BGTalesUS5512.exe
+
+cabextract -L $TMPDIR/BGTalesUS5512.exe -d $TMPDIR || diesoftly
+unshield -L x $TMPDIR/data1.cab -d $TMPDIR || diesoftly
+
+cp -R $TMPDIR/minimumdata/* "$TARGETDIR" || diesoftly
+
+cleanuptmp
+setperms "$TARGETDIR"